<mat-form-field class="dwfe-form-group-material" [formGroup]="group"
                [ngClass]="{ 'isFilled' : control.value,
                             'isChanged': markIfChanged && isChanged }"
                [appearance]="appearanceValue">

  <input matInput [formControlName]="'ctrl'"
         [matDatepicker]="picker">

  <mat-label>{{labelText}}</mat-label>

  <mat-datepicker-toggle matSuffix
                         [for]="picker">
  </mat-datepicker-toggle>

  <mat-datepicker [touchUi]="true"
                  #picker>
  </mat-datepicker>

  <dwfe-form-control-clear class="dwfe-icon-clear-field  dwfe-icon-clear-field--date"
                           [control]="control"></dwfe-form-control-clear>

</mat-form-field>
